SKB_COPY_AND(9)

NAME
skb_copy_and_csum_datagram_iovec - Copy and checkum skb to user iovec.

SYNOPSIS

int skb_copy_and_csum_datagram_iovec (struct sk_buff * skb, int hlen, struct iovec * iov);

ARGUMENTS

skb skbuff

hlen
    hardware length

iov io vector

DESCRIPTION

Caller _must_ check that skb will fit to this iovec.

RETURNS

0 - success. -EINVAL - checksum failure. -EFAULT - fault during copy. Beware, in this case iovec can be modified!